/*
 * RFBCoRRERectangle.m
 *
 *
 * Copyright (c) 1997 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1997.
 */

#import "RFB.h"

@implementation RFBCoRRERectangle

- (void)_readRectanglesWithAdaptor:(RFBProtocolAdaptor *)adaptor
{
    NSRect *rectList = [_rectListCover mutableBytes];
    unsigned *colorList = [_colorListCover mutableBytes];
    unsigned i;

    for (i = 0; i < _numberOfRects; ++i) {
        colorList[i] = [adaptor read24BitColor];
        rectList[i].origin.x = _location.origin.x + [[adaptor socket] readByte];
        rectList[i].origin.y = _location.origin.y + [[adaptor socket] readByte];
        rectList[i].size.width = [[adaptor socket] readByte];
        rectList[i].size.height = [[adaptor socket] readByte];
    }
}

@end

