/*
 * RFBHextileSubrectangle.h
 *
 *
 * Copyright (c) 1997 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1997.
 */

#define RFBHextileRaw			1
#define RFBHextileBackgroundSpecified	2
#define RFBHextileForegroundSpecified	4
#define RFBHextileAnySubrects		8
#define RFBHextileSubrectsColoured	16

@interface RFBHextileSubrectangle : NSObject <NSCoding>
{
    NSRect _location;
    octet _subEncodingMask;
    unsigned _bitsPerPixel;
    NSData *_pixelData;
    unsigned _backgroundColor;
    unsigned _foregroundColor;
    octet _numberOfRects;
    NSMutableData *_rectListCover, *_colorListCover;
}

+ (RFBHextileSubrectangle *)subrectangleWithLocation:(NSRect)location superrectangle:(RFBHextileRectangle *)superrect adaptor:(RFBProtocolAdaptor *)adaptor;

- (id)initWithLocation:(NSRect)location superrectangle:(RFBHextileRectangle *)superrect adaptor:(RFBProtocolAdaptor *)adaptor;

- (void)drawWithFramebuffer:(RFBFramebuffer *)framebuffer;

@end
