/*
 * RFBRectangle.h
 *
 *
 * Copyright (c) 1997 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1997.
 */

@class NSData;
@class RFBProtocolAdaptor;

#define RFBEncodingRaw			0
#define RFBEncodingCopyRect		1
#define RFBEncodingRRE			2
#define RFBEncodingCoRRE		4
#define RFBEncodingHextile		5

@interface RFBRectangle : NSObject <NSCopying, NSCoding>
{
    NSRect _location;
    unsigned _encoding;
}

+ (RFBRectangle *)rectangleWithAdaptor:(RFBProtocolAdaptor *)adaptor;
+ (RFBRectangle *)rectangleWithLocation:(NSRect)location encoding:(unsigned)encoding adaptor:(RFBProtocolAdaptor *)adaptor;

- (id)initWithLocation:(NSRect)location encoding:(unsigned)encoding adaptor:(RFBProtocolAdaptor *)adaptor;

- (void)drawWithFramebuffer:(RFBFramebuffer *)framebuffer;

- (NSRect)location;
- (unsigned)encoding;

@end

